--- tar-1.13/src/create.c.orig	Fri Aug  2 16:58:37 2002
+++ tar-1.13/src/create.c	Fri Aug  2 17:01:24 2002
@@ -120,8 +120,13 @@
 		type, value_string, maxval_string));
     }
 }
-#ifndef GID_NOBODY
-#define GID_NOBODY 0
+#ifdef _AIX
+ #undef GID_NOBODY
+ #define GID_NOBODY 4294967294
+#else
+ #ifndef GID_NOBODY
+  #define GID_NOBODY 0
+ #endif
 #endif
 void
 gid_to_oct (gid_t v, char *p, size_t s)
@@ -180,8 +185,13 @@
 {
   to_oct ((uintmax_t) v, (uintmax_t) 0, p, s, "time_t");
 }
-#ifndef UID_NOBODY
-#define UID_NOBODY 0
+#ifdef _AIX
+ #undef UID_NOBODY
+ #define UID_NOBODY 4294967294
+#else
+ #ifndef UID_NOBODY
+  #define UID_NOBODY 0
+ #endif
 #endif
 void
 uid_to_oct (uid_t v, char *p, size_t s)
